This model is a simplified "0D" version of the 3D electromechanical cardiac model developed at Inria Sophia Antipolis - Asclepios Team.

It describes the mechanical behaviour of a single ventricle of heart, based on the Bestel-Clement-Sorine model of the sarcomere contraction, in conjonction with the Mooney-Rivlin model for passive elasticity. Hemodynamics are represented through global values of pressures and flows in the cardiac chambers. The mechanical equations are coupled to the 3-element Windkessel for the after-load. Finally the cardiac pre-load is modeled by a (prescribed) varying atrial pressure with a "pressure bump" at the beginning of the cardiac cycle to account for atrial contraction.

Due to the difference of description language and procedural language, some features related to the heart valve dynamics rely currently on an unorthodox implementation. As a consequence, the code needs a specific configuration to run in OpenCOR. Namely, the **Euler (forward) solver** with a step of **1e-5**.

We recommend also the default configuration which simulate 3 heartbeats with the current parameters:

 - **Ending point** : 2.4 

 - **Point Interval** : 0.001


And one also can display the following classic curves :

 - **Volume curve in milliliters** : V_mL (Plot against variable of integration)
	
 - **Ventricular, Atrial and Aortic Pressures curves** : P_v,P_at,P_ar (Plot against variable of integration)

 - **PV Curve** : V_mL (Plot against P_v )

In particular both the SedMl file (HOD.sedml) and the COMBINE archive file (HOD.omex) contain exactly this configuration and can be readily opened and exploited with OpenCOR 0.5 (available at http://www.opencor.ws/downloads/index.html).

